Bug 238294 - LiveCD System don't boot on a scsi system
LiveCD System don't boot on a scsi system
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2007-04-28 18:53 EDT by Leon Fauster
Modified: 2013-03-05 22:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-01 07:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leon Fauster 2007-04-28 18:53:30 EDT
Description of problem:
LiveCD System don't boot on a scsi system (with option: Into RAM).
Error message (similar): root filesystem can't be mounted (dev/root) ...

Version-Release number of selected component (if applicable):

How reproducible:
Try to boot from a scsi cdrom. 

Actual results:
After timeout i get prompted to do it 
manually (bash shell).

Additional info:
Adaptec Controller
Comment 1 Bill Nottingham 2007-05-01 00:52:45 EDT
What specific controller? Can you post the full messages?
Comment 2 Leon Fauster 2007-05-01 07:13:19 EDT
Hello Bill,

these are the controllers - the CD-ROM drive is attached to the U2W one.

class: SCSI
bus: PCI
detached: 0
driver: aic7xxx
desc: "Adaptec AHA-2940U/UW/D / AIC-7881U"
vendorId: 9004
deviceId: 8178
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  9
pcifn:  0


class: SCSI
bus: PCI
detached: 0
driver: aic7xxx
desc: "Adaptec AHA-2940U2/U2W / 7890/7891"
vendorId: 9005
deviceId: 001f
subVendorId: 9005
subDeviceId: 000f
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  6
pcifn:  0

My System is:


About the messages:
As normal the kernel starts kprintf()ing messages. The last ones are
about loaded USB modules etc.. Then after timeout (because / isn't found)
i get dropped into a bash shell. 

See initramdisk's init file on line >244.

> WARNING: Cannot find root file system! 

is the message. 

I haven't investigate this so much but imho: 
Would loading the aic7xxx module resolve this?

Best Regards
Comment 3 Jeremy Katz 2007-05-01 07:16:02 EDT
Yes, just aic7xxx wasn't included in the module list for the live initramfs... I
added it yesterday and it'll be in this week's live image when I spin it.

Note You need to log in before you can comment on or make changes to this bug.